PHP Manual
Prev |  | Next

# maxdb_stmt_close

(PECL)

maxdb_stmt_close

(no version information, might be only in CVS)

maxdb_stmt->close -- Closes a prepared statement

## Description

Procedural style:

bool maxdb_stmt_close ( resource stmt )

Object oriented style (method):

class maxdb_stmt {
bool maxdb_stmt->close ( void )
}

Closes a prepared statement. maxdb_stmt_close() also deallocates the statement handle pointed to by stmt. If the current statement has pending or unread results, this function cancels them so that the next query can be executed.

## Return values

Returns `TRUE` on success or `FALSE` on failure.

## See also

maxdb_prepare(),

Prev | Home | Next
maxdb_stmt_close_long_data | Up | maxdb_stmt_data_seek